1.0 Alpha1 VS2008 SP1 bad?

Nov 19, 2008 at 5:25 AM

I would like to check if 1.0 Alpha1 or some other available version works with VS2008 SP1? I don't have VS yet would be buying it just for BooLangStudio so if there not a version that works with SP1 I will put off getting VS.  I use Unity3D on a Mac and have virtual machine running VS2008 express to edit C# code, but almost all my code is Boo not C#.

Cheers

Grant

Coordinator
Nov 20, 2008 at 9:44 PM
Hello Grant,
   Thanks for the interest in BooLangStudio. I'll just say a couple of things about this scenario:

  • BooLangStudio won't work on an expression version of Visual Studio. This is just one of the limitations of an expression edition.
  • I believe I have run it with SP1, I can't remember but I'm pretty sure it will work just fine.
  • BooLangStudio is alpha (very) currently, hopefully it will be better in the near future but it's hard to encourage you to buy a full licensed version of Visual Studio in its current state.
  • Have you tried Sharp Develop? This is a free IDE with first class support for Boo, in my opinion it's not as good as Visual Studio but then again in some ways it's better. One of those ways is definitely its support for boo and another way is it's price; it's free.
  • If you're interested in getting a non-expression version of Visual Studio so you can contribute to BooLangStudio then that's a different story :)
I hope that helps you weigh the pro's and cons.
Nov 21, 2008 at 1:45 AM

Thanks. I had tried MonoDevelop (since I am on a Mac) but sharpDevelop is much nicer. I am only using the editor with lookup and auto complete now since Unity3D in an IDE and handle compilation and execution, but only has a minimal editor.  I still look forward to checkouting out BooLangSudios after intellisense is working.